// hidkey.cpp :
//

#include "stdafx.h"
#include "hidkey.h"
#include "HidkeyDlg.h"
#include "Usbhidioc.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// ChidkeyApp

BEGIN_MESSAGE_MAP(ChidkeyApp, CWinApp)
	//{{AFX_MSG_MAP(ChidkeyApp)
	//}}AFX_MSG
	ON_COMMAND(ID_HELP, CWinApp::OnHelp)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// ChidkeyApp NX̍\z

ChidkeyApp::ChidkeyApp()
{
}

/////////////////////////////////////////////////////////////////////////////
// B ChidkeyApp IuWFNg

ChidkeyApp theApp;

/////////////////////////////////////////////////////////////////////////////
// ChidkeyApp NX̏

BOOL ChidkeyApp::InitInstance()
{
	HICON hicon     = LoadIcon(IDR_MAINFRAME);
	HCURSOR hcursor = LoadStandardCursor(IDC_ARROW);
	HBRUSH hbrush   = (HBRUSH)::GetStockObject(WHITE_BRUSH);
	mainclass       = AfxRegisterWndClass(0,hcursor,hbrush,hicon); 

	m_pMainWnd = new CMainFrame();
	m_pMainWnd->ShowWindow(m_nCmdShow);
	m_pMainWnd->UpdateWindow();
	return TRUE;
}

/////////////////////////////////////////////////////////////////////////////
// CMainFrame

IMPLEMENT_DYNCREATE(CMainFrame, CFrameWnd)

CMainFrame::CMainFrame()
{
	CRect rectWin=rectDefault;

	rectWin.right=rectWin.left+400;
	rectWin.bottom=rectWin.top+200;

	Create(((ChidkeyApp*)AfxGetApp())->mainclass,
		   "hidkey Program",
		   WS_OVERLAPPEDWINDOW,
		   rectWin,NULL,"MENU");

	for(int i=0;i<200;i++) data[i]=0;
}

CMainFrame::~CMainFrame()
{
}


BEGIN_MESSAGE_MAP(CMainFrame, CFrameWnd)
	//{{AFX_MSG_MAP(CMainFrame)
	ON_WM_PAINT()
	ON_WM_CHAR()
	ON_COMMAND(ID_COMM, OnComm)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


void CMainFrame::OnPaint() 
{
	CPaintDC dc(this); 

	dc.TextOut(0, 0,data);
}


void CMainFrame::OnChar(UINT nChar, UINT nRepCnt, UINT nFlags) 
{
	static int i;

	if(nChar!=13){//13 means a return key.
		data[i++]=nChar;
	}
	else{
		data[i]=0;
		i=0;
		Invalidate(TRUE);
	}

	CFrameWnd::OnChar(nChar, nRepCnt, nFlags);
}

void CMainFrame::OnComm() 
{
	CHidkeyDlg dlg;
	dlg.DoModal();	
}
